<div class="rc-panel blue nopadding" data-title="Print object">    
  <div class='rc-item no-icon' data-title="File: {{filename}}"></div> 
</div>

<div class="row">

  <div id="ultiviewerContainer" class="columns panel nopadding">
    <div class='rc-item no-icon breathing' ng-click="go('/file-printer')" data-title="Loading preview..." id="loader"></div>
    <img ng-src="{{imageSrc}}" rc-image-loaded="onImageLoaded()"/>
  </div>
</div>

<div class="row ultiviewerToolbar" style="display:none"> <!--currently hidden-->
  <div class="columns panel">
    <a class="icon icon-rotate_Ymin" ng-click="rotate('z',-90)"></a>
    <a class="icon icon-rotate_Yplus" ng-click="rotate('z',-90)"></a>
    &nbsp;&nbsp;
    <a class="icon icon-rotate_Xmin" ng-click="rotate('y',-90)"></a>
    <a class="icon icon-rotate_Xplus" ng-click="rotate('y',-90)"></a>
    &nbsp;&nbsp;
    <a class="icon icon-rotate_Zmin" ng-click="rotate('x',-90)"></a>
    <a class="icon icon-rotate_Zplus" ng-click="rotate('x',-90)"></a>
  </div>
</div>

<div class="row">
  <div class="columns panel nopadding">
      <div class='rc-item' ng-show="printer" ng-click="go('/file-printer')" data-icon-class="icon icon-3dprinter {{printer.statusClass}}" data-title="{{printer.customName}}"></div>
      <div class='rc-item no-icon' ng-hide="printer" ng-click="go('/file-printer')" data-title="Please select your printer"></div>
  </div>
</div>

<div class="row">
  <div class="columns panel nopadding">
    <div ng-show="material" class='rc-item no-icon' ng-click="go('/file-material')" data-title="Material" data-subtitle="{{material.title}}"></div>
    <div ng-hide="material" class='rc-item no-icon' ng-click="go('/file-material')" data-title="Please select a material..."></div>
  </div>
</div>

<div class="row">
  <div class="columns panel nopadding">
    <div ng-show="material" class='rc-item no-icon' ng-click="go('/file-profile')" data-title="Profile" data-subtitle="{{profile.title}}"></div>
    <div ng-hide="material" class='rc-item no-icon' ng-click="go('/file-profile')" data-title="Please select a profile..."></div>
  </div>
</div>

<div class="row blue">
  <div class="columns nopadding">
    <a ng-click="printFile()" class="button right" ng-disabled="!printer.idle">Print object</a>
  </div>
</div>



